Package gov.nasa.gsfc.sscweb.schema

# Enum Class DistanceFormat

java.lang.Object
java.lang.Enum<DistanceFormat>
gov.nasa.gsfc.sscweb.schema.DistanceFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<DistanceFormat>`, `Constable`

public enum DistanceFormat extends Enum<DistanceFormat>
Distance format enumeration. <p>Java class for DistanceFormat</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <simpleType name="DistanceFormat"> <restriction base="{http://www.w3.org/2001/XMLSchema}string"> <enumeration value="Re"/> <enumeration value="Km"/> <enumeration value="IntegerKm"/> <enumeration value="ScientificNotationKm"/> </restriction> </simpleType> }</pre>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INTEGER_KM`
  Integer kilometers.
  `KM`
  kilometers.
  `RE`
  Earth Radii.
  `SCIENTIFIC_NOTATION_KM`
  Scientific Notation kilometers.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `DistanceFormat(String v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DistanceFormat`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static DistanceFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DistanceFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RE

    public static final DistanceFormat RE
    Earth Radii.

  - ### KM

    public static final DistanceFormat KM
    kilometers.

  - ### INTEGER_KM

    public static final DistanceFormat INTEGER_KM
    Integer kilometers.

  - ### SCIENTIFIC_NOTATION_KM

    public static final DistanceFormat SCIENTIFIC_NOTATION_KM
    Scientific Notation kilometers.

- ## Field Details

  - ### value

    private final String value

- ## Constructor Details

  - ### DistanceFormat

    private DistanceFormat(String v)

- ## Method Details

  - ### values

    public static DistanceFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DistanceFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static DistanceFormat fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.